/*
 * SPDX-FileCopyrightText: 2023 jordi fita mas <jfita@peritasoft.com>
 *
 * SPDX-License-Identifier: PostgreSQL
 */

-- complain if script is sources in psql, rather than via CREATE EXTENSION
\echo Use "ALTER EXTENSION vat UPDATE TO '0.1'" to load this file. \quit

-- mark the type as collatable
UPDATE pg_catalog.pg_type SET typcollation = 100
WHERE oid = 'vatin'::pg_catalog.regtype;

UPDATE pg_catalog.pg_attribute SET attcollation = 100
WHERE atttypid = 'vatin'::pg_catalog.regtype;
